libgimpprint API Reference: escp2_printer struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# escp2_printer Struct Reference

`#include <print-escp2.h>`

## Data Fields
model_cap_t | flags
short | nozzles
short | min_nozzles
short | nozzle_separation
short | black_nozzles
short | min_black_nozzles
short | black_nozzle_separation
short | fast_nozzles
short | min_fast_nozzles
short | fast_nozzle_separation
short | physical_channels
short | base_separation
short | resolution_scale
short | max_black_resolution
short | max_hres
short | max_vres
short | min_hres
short | min_vres
short | extra_feed
short | separation_rows
short | pseudo_separation_rows
short | zero_margin_offset
short | initial_vertical_offset
short | black_initial_vertical_offset
short | extra_720dpi_separation
int | max_paper_width
int | max_paper_height
int | min_paper_width
int | min_paper_height
short | left_margin
short | right_margin
short | top_margin
short | bottom_margin
short | m_left_margin
short | m_right_margin
short | m_top_margin
short | m_bottom_margin
short | roll_left_margin
short | roll_right_margin
short | roll_top_margin
short | roll_bottom_margin
short | m_roll_left_margin
short | m_roll_right_margin
short | m_roll_top_margin
short | m_roll_bottom_margin
short | cd_x_offset
short | cd_y_offset
short | cd_page_width
short | cd_page_height
short | alignment_passes
short | alignment_choices
short | alternate_alignment_passes
short | alternate_alignment_choices
const short * | dot_sizes
const float * | densities
const escp2_drop_list_t * | drops
const res_t *const * | reslist
const inkgroup_t * | inkgroup
const short * | bits
const short * | base_resolutions
const input_slot_list_t * | input_slots
const quality_list_t * | quality_list
const stp_raw_t * | preinit_sequence
const stp_raw_t * | postinit_remote_sequence
const printer_weave_list_t *const | printer_weaves

## Field Documentation

short escp2_printer::alignment_choices

| Definition at line 500 of file print-escp2.h.

short escp2_printer::alignment_passes

| Definition at line 499 of file print-escp2.h.

short escp2_printer::alternate_alignment_choices

| Definition at line 502 of file print-escp2.h.

short escp2_printer::alternate_alignment_passes

| Definition at line 501 of file print-escp2.h.

const short* escp2_printer::base_resolutions

| Definition at line 512 of file print-escp2.h. Referenced by escp2_base_res().

short escp2_printer::base_separation

| Definition at line 437 of file print-escp2.h.

const short* escp2_printer::bits

| Definition at line 511 of file print-escp2.h. Referenced by escp2_bits().

short escp2_printer::black_initial_vertical_offset

| Definition at line 460 of file print-escp2.h.

short escp2_printer::black_nozzle_separation

| Definition at line 430 of file print-escp2.h.

short escp2_printer::black_nozzles

| Definition at line 428 of file print-escp2.h.

short escp2_printer::bottom_margin

| Definition at line 475 of file print-escp2.h.

short escp2_printer::cd_page_height

| Definition at line 496 of file print-escp2.h.

short escp2_printer::cd_page_width

| Definition at line 495 of file print-escp2.h.

short escp2_printer::cd_x_offset

| Definition at line 493 of file print-escp2.h.

short escp2_printer::cd_y_offset

| Definition at line 494 of file print-escp2.h.

const float* escp2_printer::densities

| Definition at line 505 of file print-escp2.h. Referenced by escp2_density().

const short* escp2_printer::dot_sizes

| Definition at line 504 of file print-escp2.h. Referenced by escp2_ink_type().

const escp2_drop_list_t* escp2_printer::drops

| Definition at line 506 of file print-escp2.h. Referenced by escp2_dropsizes().

short escp2_printer::extra_720dpi_separation

| Definition at line 461 of file print-escp2.h.

short escp2_printer::extra_feed

| Definition at line 448 of file print-escp2.h.

short escp2_printer::fast_nozzle_separation

| Definition at line 433 of file print-escp2.h.

short escp2_printer::fast_nozzles

| Definition at line 431 of file print-escp2.h.

model_cap_t escp2_printer::flags

| Definition at line 422 of file print-escp2.h. Referenced by escp2_get_cap(), and escp2_has_cap().

short escp2_printer::initial_vertical_offset

| Definition at line 459 of file print-escp2.h.

const inkgroup_t* escp2_printer::inkgroup

| Definition at line 509 of file print-escp2.h. Referenced by escp2_inklist().

const input_slot_list_t* escp2_printer::input_slots

| Definition at line 513 of file print-escp2.h.

short escp2_printer::left_margin

| Definition at line 472 of file print-escp2.h.

short escp2_printer::m_bottom_margin

| Definition at line 480 of file print-escp2.h.

short escp2_printer::m_left_margin

| Definition at line 477 of file print-escp2.h.

short escp2_printer::m_right_margin

| Definition at line 478 of file print-escp2.h.

short escp2_printer::m_roll_bottom_margin

| Definition at line 491 of file print-escp2.h.

short escp2_printer::m_roll_left_margin

| Definition at line 488 of file print-escp2.h.

short escp2_printer::m_roll_right_margin

| Definition at line 489 of file print-escp2.h.

short escp2_printer::m_roll_top_margin

| Definition at line 490 of file print-escp2.h.

short escp2_printer::m_top_margin

| Definition at line 479 of file print-escp2.h.

short escp2_printer::max_black_resolution

| Definition at line 439 of file print-escp2.h.

short escp2_printer::max_hres

| Definition at line 443 of file print-escp2.h.

int escp2_printer::max_paper_height

| Definition at line 465 of file print-escp2.h.

int escp2_printer::max_paper_width

| Definition at line 464 of file print-escp2.h.

short escp2_printer::max_vres

| Definition at line 444 of file print-escp2.h.

short escp2_printer::min_black_nozzles

| Definition at line 429 of file print-escp2.h.

short escp2_printer::min_fast_nozzles

| Definition at line 432 of file print-escp2.h.

short escp2_printer::min_hres

| Definition at line 445 of file print-escp2.h.

short escp2_printer::min_nozzles

| Definition at line 426 of file print-escp2.h.

int escp2_printer::min_paper_height

| Definition at line 467 of file print-escp2.h.

int escp2_printer::min_paper_width

| Definition at line 466 of file print-escp2.h.

short escp2_printer::min_vres

| Definition at line 446 of file print-escp2.h.

short escp2_printer::nozzle_separation

| Definition at line 427 of file print-escp2.h.

short escp2_printer::nozzles

| Definition at line 425 of file print-escp2.h.

short escp2_printer::physical_channels

| Definition at line 434 of file print-escp2.h.

const stp_raw_t* escp2_printer::postinit_remote_sequence

| Definition at line 517 of file print-escp2.h.

const stp_raw_t* escp2_printer::preinit_sequence

| Definition at line 516 of file print-escp2.h.

const printer_weave_list_t* const escp2_printer::printer_weaves

| Definition at line 519 of file print-escp2.h.

short escp2_printer::pseudo_separation_rows

| Definition at line 454 of file print-escp2.h.

const quality_list_t* escp2_printer::quality_list

| Definition at line 515 of file print-escp2.h.

const res_t* const* escp2_printer::reslist

| Definition at line 508 of file print-escp2.h.

short escp2_printer::resolution_scale

| Definition at line 438 of file print-escp2.h.

short escp2_printer::right_margin

| Definition at line 473 of file print-escp2.h.

short escp2_printer::roll_bottom_margin

| Definition at line 486 of file print-escp2.h.

short escp2_printer::roll_left_margin

| Definition at line 483 of file print-escp2.h.

short escp2_printer::roll_right_margin

| Definition at line 484 of file print-escp2.h.

short escp2_printer::roll_top_margin

| Definition at line 485 of file print-escp2.h.

short escp2_printer::separation_rows

| Definition at line 452 of file print-escp2.h.

short escp2_printer::top_margin

| Definition at line 474 of file print-escp2.h.

short escp2_printer::zero_margin_offset

| Definition at line 457 of file print-escp2.h.

The documentation for this struct was generated from the following file:

- src/main/print-escp2.h